The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги ]

25.04.2016 22:34  Релиз PyQt 5.6 с полной поддержкой Qt 5.6

Вслед за Qt 5.6 LTS вышел соответствующий релиз библиотеки PyQt для разработки графических приложений на языке Python.

Особенности выпуска:

  • Добавленная полная поддержка Qt 5.6.0.
  • Поддержка Python 3.5 доступна для 64-битного Linux, 64-битного OS X и 32-и 64-битных Windows. (После этого выпуска для Windows больше не будут поставляться инсталляторы в формате .exe)
  • Добавлен модуль QtWebEngineCore.
  • Восстановлен qt_set_sequence_auto_mnemonic() для QtGui.
  • Восстановлен MouseLock к QWebEnginePage.Feature.
  • Восстановлен WA_DontShowOnScreen.
  • Файлы поддержки PEP 484 ставятся по умолчанию.
  • Добавлен аргумент командной строки --import-from для pyuic5.
  • Добавлены опции "--no-stubs" и "--stubsdir" для configure.py.
  • Добавлена опция "--qtconf-prefix" для configure.py.


  1. Главная ссылка к новости (https://www.riverbankcomputing...)
  2. OpenNews: Релиз фреймворка Qt 5.6
  3. OpenNews: Доступен альфа-выпуск Qt 5.7
Автор новости: QuAzI
Тип: Программы
Ключевые слова: pyqt
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Линейный вид | Ajax | Показать все | RSS
 
  • 1.1, Xenia Jonness, 00:02, 26/04/2016 [ответить] [смотреть все]
  • +1 +/
    >Вслед за Qt 5.6 LTS вышел соответствующий релиз библиотеки PyQt для разработки графических приложений на языке Python.

    Это всё конечно очень круто, но есть ли возможность разрабатывать в QtCreator на PyQt?

    P.S.Просто хочу научиться программировать на Ruby или Python, и хочу это делать в Qt Creator, только так и не нашла где это всё настроить. Советы перейти на C++ не подойдут, я даже не смогла освоить Objective-C, а оказывается Python и Ruby самые простые из которых получаются очень быстрые программы.

     
     
  • 2.3, QuAzI, 00:17, 26/04/2016 [^] [ответить] [смотреть все]
  • +1 +/
    Интересный вопрос. Я не встречал туториалов по прикручиванию Python в сам QtCreator, хотя было бы неплохо.
    Для попробовать я в качестве IDE поставил PyDev (который в Eclipse). Qt Designer для редактирования форм используется.
    Вроде как есть ещё PySide https://wiki.qt.io/PySide который от самой Digia, но он как-то не шибко актуально выглядит на первый взгляд
    The latest version of PySide is 1.2.4 released on October 14, 2015 and provides access to the complete Qt 4.8 framework.
    Ну и PyCharm есть от JetBrains.
     
     
  • 3.15, Anon999, 13:37, 26/04/2016 [^] [ответить] [смотреть все]
  • –1 +/
    Есть PySide2, но он разрабатывается, не зная, когда выйдет. 4.8 Qt больше не поддерживается. Лицензия хорошая, но все очень медленно обновляется.
     
  • 2.4, Аноним, 05:44, 26/04/2016 [^] [ответить] [смотреть все]
  • +2 +/
    так-то вариация C в Qt ощутимо легче objc... весь текст скрыт [показать]
     
  • 2.6, Гвидо, 07:47, 26/04/2016 [^] [ответить] [смотреть все]  
  • +1 +/
    В криэйторе удобно надизайнить формочки - а учиться питону лучше в PyCharm.
     
     
  • 3.11, Аноним, 10:44, 26/04/2016 [^] [ответить] [смотреть все]  
  • –1 +/
    PyCharm тяжеленький и тормозной Я в ninja-ide нормально учился Текстовый редак... весь текст скрыт [показать]
     
  • 2.8, Анонзо, 09:12, 26/04/2016 [^] [ответить] [смотреть все]  
  • +/
    Eric не пробовала?
     
  • 2.13, Аноним, 11:00, 26/04/2016 [^] [ответить] [смотреть все]  
  • +2 +/
    KDevelop с PyQt дружит.
     
  • 1.2, Аноним, 00:08, 26/04/2016 [ответить] [смотреть все]  
  • –4 +/
    > Python
    > быстрые программы

    OH U!

     
     
  • 2.5, Аноним, 06:25, 26/04/2016 [^] [ответить] [смотреть все]  
  • +4 +/
    > быстрые программы

    быстрые баги на Си куда неприятнее.

     
     
  • 3.9, A.Stahl, 09:57, 26/04/2016 [^] [ответить] [смотреть все]  
  • –3 +/
    Сишные баги можно исправить, а Питон -- нет.
     
     
  • 4.10, Аноним, 10:15, 26/04/2016 [^] [ответить] [смотреть все]  
  • +1 +/
    а Питон не на Си написан давай посмотрим, как ты реализуешь любой на выбор исхо... весь текст скрыт [показать]
     
  • 2.14, Аноним, 11:24, 26/04/2016 [^] [ответить] [смотреть все]  
  • +2 +/
    Ребят, вы производителям внедорожников претензии случаем не предъявляете, дескат... весь текст скрыт [показать]
     
  • 1.7, Аноним, 08:23, 26/04/2016 [ответить] [смотреть все]  
  • +3 +/
    Мини-новость, PySide альтернатива PyQt жива, и Qt Company берет над проектом ше... весь текст скрыт [показать]
     
     
  • 2.12, QuAzI, 10:54, 26/04/2016 [^] [ответить] [смотреть все]  
  • +/
    Спасибо. Жаль они поздно спохватились, народ долго не слезет с LTS теперь
     
  • 1.16, Аноним, 17:32, 26/04/2016 [ответить] [смотреть все]  
  • +/
    В своё время на вопрос будет ли развиватся PySide и поддерживать Qt5 коммеречска... весь текст скрыт [показать]
     
  • 1.17, Онаним, 02:09, 27/04/2016 [ответить] [смотреть все]  
  • –1 +/
    > Поддержка Python 3.5 доступна для 64-битного Linux, 64-битного OS X и 32-и 64-битных Windows.

    Чо? А 32-bit Linux? Увы и ах на рынке до сих пор полно компов с 4 и даже 2 ГБ памяти (и далеко не все поддаются апгрэйду), что теперь 64-битные системы на них городить? Тормозить же будет.

     
  • 1.18, Аноним, 16:37, 27/04/2016 [ответить] [смотреть все]  
  • –1 +/
    В каких случаях исполюзуют связку QT и Python?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2017 by Maxim Chirkov  
    ДобавитьРекламаВебмастеруГИД  
    Hosting by Ihor TopList